SIGPENDING(2)

NAME
sigpending - get pending signals

LIBRARY
libc

SYNOPSIS
#include <signal.h>
int
sigpending(sigset_t *set);

DESCRIPTION
The sigpending() function returns a mask of the signals pending for delivery to the calling process in the location indicated by set. Signals may be pending because they are currently masked, or transiently before delivery (although the latter case is not normally detectable).

RETURN VALUES
A 0 value indicated that the call succeeded. A -1 return value indicates an error occurred and errno is set to indicated the reason.

ERRORS
The sigpending() function does not currently detect any errors.

SEE ALSO
sigaction(2), sigprocmask(2)

STANDARDS
The sigpending() function call is expected to conform to p1003.1-90.